Skip to main content
GET
/
v1
/
analytics
/
campaigns
Campaign performance
curl --request GET \
  --url https://brew.new/api/v1/analytics/campaigns \
  --header 'Authorization: Bearer <token>'
{
  "campaigns": [
    {
      "emailId": "eml_launch",
      "title": "Spring Launch",
      "sentAt": "2026-04-08T12:34:56.789Z",
      "stats": {
        "sent": 5000,
        "delivered": 4920,
        "opened": 2110,
        "clicked": 540,
        "bounced": 80,
        "complained": 3,
        "unsubscribed": 12
      }
    }
  ]
}

Authorizations

Authorization
string
header
default:Bearer brew_your_api_key
required

Send your Brew API key as Authorization: Bearer brew_xxx.

Query Parameters

limit
integer

Page size (1–100). Defaults to 100.

Required range: 1 <= x <= 100
cursor
string

Opaque pagination cursor echoed from the previous page’s pagination.cursor. Omit for the first page.

Required string length: 1 - 512

Response

Per-campaign lifetime performance.

campaigns
object[]
required
pagination
object